Using eXpansion with older controllers requiring php 5.6

The next generation of server controlling with clean and powerful user interface

Moderators: reaby, oliverde8, NADEO

Nicklander
Posts: 12
Joined: 20 May 2018, 01:41

Using eXpansion with older controllers requiring php 5.6

Post by Nicklander » 29 May 2018, 21:45

As much as I wish to use eXpansion², I think it sadly won't be possible.
I'm currently running some TMNF & TM2 servers. On the tmnf servers I use Xaseco, unfortunately xaseco needs php5.4 & mysql.
In Debian 9 I could use php7 & mariadb but this will rip my tmnf servers...
So I guess eXpansion is not an option for me since php7 is required.

oliverde8
Posts: 1321
Joined: 16 Jun 2010, 07:33
Location: in a Blue Box

Re: FeedBack & Bugs | Your ideas are important

Post by oliverde8 » 29 May 2018, 22:12

Hi,

I understand the dilemma. You do have a few options. It is possible to have multiple php versions running on a server. Even though it' s not ideal.

A second option is to go through virtualization such as dockers. we actually do have a docker image if interested.

But I can understand that these are all complicated solutions. Nevertheless, keep in mind that support for php 5.* has been dropped by the php team so at some point you will need to upgrade your server.

We were aware that using php 7 wouldn't be a popular choice from the start.
Image
Developper for The next generation, Clean and Powerfull controller eXpansion for your SM & TM server . Working on eXpansion² with full MP4 support and many other awesome features...

hackie
Posts: 1060
Joined: 19 Jul 2012, 22:43

Re: FeedBack & Bugs | Your ideas are important

Post by hackie » 30 May 2018, 06:11

Did Reaby not make a fix for that ? I think its on TM forum.
System Specs:
OS: Windows 7 Professionnal x64
CPU: Intel Core i7-6700K / 4 GHz - 8 MB cache
GPU: MSI GTX 980TI GAMING 6G - OC Edition
Motherboard: ASUS MAXIMUS VIII RANGER
RAM : 32Gb Kingston HyperX Savage - DDR4
DirectX 11

User avatar
Xymph
Posts: 1331
Joined: 15 Jun 2010, 20:35
Contact:

Re: FeedBack & Bugs | Your ideas are important

Post by Xymph » 30 May 2018, 08:09

hackie wrote:
30 May 2018, 06:11
Did Reaby not make a fix for that ? I think its on TM forum.
http://www.tm-forum.com/viewtopic.php?f=127&t=35817
Developer of XASECO for TMF/TMN ESWC & XASECO2 for TM²: see XAseco.org
Find your way around the Mania community from the TMN ESWC hub, TMF hub, TM² hub, and SM hub

reaby
Posts: 923
Joined: 29 Dec 2010, 23:26
Location: Eastern Finland
Contact:

Re: FeedBack & Bugs | Your ideas are important

Post by reaby » 30 May 2018, 10:33

Thanks Xymph!

Yeah, that's mainly only for XAseco, it does simple mysql_ to mysqli_ wrapper functions... an idea to make XAseco work in php7 nicely, since the other language grammar hasn't changed for XAseco or the plugins.

On expansion2 we're using new language syntax and features which were introduced with PHP7.0. (I could list the language level syntax changes we're using... but I think it's in vain)

Anyway, I think using Docker might be the best solution as it runs in containers and keeps your server as is. If you're new to Docker, it might take some time to setup everything for the first time since you need to learn the tools, but I think it's worth the learning as Docker is getting more and more used on servers.

Nicklander
Posts: 12
Joined: 20 May 2018, 01:41

Re: FeedBack & Bugs | Your ideas are important

Post by Nicklander » 31 May 2018, 23:32

Ok so that patched xaseco is no option for me since it's only for xaseco2, not tmnf xaseco.
I might want to give Docker a try then.

I'm currently on Debian 8. So should I upgrade my system to Debian 9, install php7, setup eXpansion2 and will I still be able to somehow make the xaseco tmnf servers work ?

User avatar
Xymph
Posts: 1331
Joined: 15 Jun 2010, 20:35
Contact:

Using eXpansion with older controllers requiring php 5.6

Post by Xymph » 01 Jun 2018, 07:18

reaby wrote:
30 May 2018, 10:33
Yeah, that's mainly only for XAseco, it does simple mysql_ to mysqli_ wrapper functions... an idea to make XAseco work in php7 nicely, since the other language grammar hasn't changed for XAseco or the plugins.
Uhh, you tagged the post for XAseco2, not XAseco(1). And the includes file itself is not dependent on any XAseco variant.

Nicklander could still try this before resorting to more complex solutions.
Developer of XASECO for TMF/TMN ESWC & XASECO2 for TM²: see XAseco.org
Find your way around the Mania community from the TMN ESWC hub, TMF hub, TM² hub, and SM hub

TheBigG.
Posts: 402
Joined: 11 Jun 2011, 16:11

Re: FeedBack & Bugs | Your ideas are important

Post by TheBigG. » 01 Jun 2018, 21:46

XAseco 1 and PHP7 works great together with the wrapper reaby wrote. I run PHP7 on my Servers for over 2 years now, first with bueddls fix and than moved to a mix of reabys and bueddls solutions mixed.

Code: Select all

[XAseco] PHP Version is 7.2.5-1+0~20180505045740.21+stretch~1.gbpca2fa6 on Linux
[LocalDB] MySQL Server Version is 5.5.5-10.3.7-MariaDB-1:10.3.7+maria~stretch
Client:
OS: Win7 Ultimate/Debian Testing CPU: Intel 7600k GPU: NVIDIA 1080TI Display: Acer Predator XB271HUbmiprz 1440p@165 Hz

Server:
OS: Debian Stable @ Backports Kernel CPU: Intel 6700k RAM: 32 GB Storage: 2x 256 GB NVMe SSD @ Raid 1

Nicklander
Posts: 12
Joined: 20 May 2018, 01:41

Re: FeedBack & Bugs | Your ideas are important

Post by Nicklander » 03 Jun 2018, 03:32

TheBigG. wrote:
01 Jun 2018, 21:46
XAseco 1 and PHP7 works great together with the wrapper reaby wrote. I run PHP7 on my Servers for over 2 years now, first with bueddls fix and than moved to a mix of reabys and bueddls solutions mixed.

Code: Select all

[XAseco] PHP Version is 7.2.5-1+0~20180505045740.21+stretch~1.gbpca2fa6 on Linux
[LocalDB] MySQL Server Version is 5.5.5-10.3.7-MariaDB-1:10.3.7+maria~stretch
Ok so you run....Debian 9 I suppose ?
Won’t MariaDB cause problems then ?
Where exactly can I find that patched xaseco1 version ?

I’m happy with PyPlanet for now but I might consider to update to Debian 9 one day and check out eXpansion when it comes out of beta.

TheBigG.
Posts: 402
Joined: 11 Jun 2011, 16:11

Re: FeedBack & Bugs | Your ideas are important

Post by TheBigG. » 05 Jun 2018, 10:20

Nicklander wrote:
03 Jun 2018, 03:32
Ok so you run....Debian 9 I suppose ?
Won’t MariaDB cause problems then ?
Yes Debian 9.
I don't have problems with MariaDB, on 10.2.x i had to raise the query size limit because XAseco would crash without that, on 10.3.x that wasn't needed anymore and it did run out of the box.
Nicklander wrote:
03 Jun 2018, 03:32
Where exactly can I find that patched xaseco1 version ?
http://tm-forum.com/viewtopic.php?f=127&t=35817
Nicklander wrote:
03 Jun 2018, 03:32
I’m happy with PyPlanet for now but I might consider to update to Debian 9 one day and check out eXpansion when it comes out of beta.
eXpansion is less beta than maniaplanet :roflol:
I don't think i will ever return to mp, there is everything broken i like.
Client:
OS: Win7 Ultimate/Debian Testing CPU: Intel 7600k GPU: NVIDIA 1080TI Display: Acer Predator XB271HUbmiprz 1440p@165 Hz

Server:
OS: Debian Stable @ Backports Kernel CPU: Intel 6700k RAM: 32 GB Storage: 2x 256 GB NVMe SSD @ Raid 1

Post Reply

Return to “eXpansion”

Who is online

Users browsing this forum: No registered users and 0 guests